Skip to main content
GET
Get Portal (deprecated)
Scope: portal:read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

portalId
string<uuid>
required

Response

The portal task

id
string
status
enum<string>
Available options:
not_started,
blocked,
in_progress,
submitted,
approved,
rejected,
cancelled
ask
string
priority
string
blocker
string | null
blockReason
string | null
blockedBy
string | null

Who the task is waiting on

rejectionReason
string | null
rejectionNote
string | null
sourceType
string
owner
object | null
labels
string[]
customerIds
string[]
invoiceIds
string[]
customerName
string | null
invoiceNumbers
string[]
invoices
object[]
portals
object[]

Portal configured for each linked customer

commentCount
integer
messageCount
integer
statusChangedAt
string<date-time> | null

When the task entered its current status

lastStatusCheckAt
string<date-time> | null
createdAt
string<date-time>
updatedAt
string<date-time>